## gate.gui
Class ApplicationEditor.ParameterDisjunction

    java.lang.Object
      |
      +--gate.gui.ApplicationEditor.ParameterDisjunction

Enclosing class:
  ApplicationEditor

class ApplicationEditor.ParameterDisjunction
extends Object

Field Summary
`(package private) Parameter` `currentParameter`
`(package private) String` `name`
`(package private) String[]` `names`
`(package private) List` `options`
`(package private) ProcessingResource` `pr`
`(package private) int` `selectedIndex`
`(package private) String` `typeName`

Constructor Summary
`ApplicationEditor.ParameterDisjunction(ProcessingResource pr, List options)`

Method Summary
`void` `clearValue()` Called when the value used for this parameter has been unloaded.
`String` `getComment()`
`String` `getName()`
`String[]` `getNames()`
`Object[]` `getParameters()`
`Boolean` `getRequired()`
`String` `getType()`
`Object` `getValue()`
`void` `setSelectedIndex(int index)`
`void` `setValue(Object value)`
`int` `size()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### selectedIndex

    int selectedIndex

### options

    List options

### pr

    ProcessingResource pr

### typeName

    String typeName

### name

    String name

### names

    String[] names

### currentParameter

    Parameter currentParameter

Constructor Detail

### ApplicationEditor.ParameterDisjunction

    public ApplicationEditor.ParameterDisjunction(ProcessingResource pr,
                                                  List options)

  Parameters:
    `options` - a list of `Parameter`
    `pr` - the `ProcessingResource`

Method Detail

### setSelectedIndex

    public void setSelectedIndex(int index)

### size

    public int size()

### getRequired

    public Boolean getRequired()

### getName

    public String getName()

### getComment

    public String getComment()

### getType

    public String getType()

### getNames

    public String[] getNames()

### getParameters

    public Object[] getParameters()

### clearValue

    public void clearValue()

  Called when the value used for this parameter has been unloaded. Will set the value for this param to the default

### setValue

    public void setValue(Object value)

### getValue

    public Object getValue()